| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Vel::IntervalFunction Class Reference
Velocity

`#include <velocityfunctioninterval.h>`

Inheritance diagram for Vel::IntervalFunction:
[legend]

## Public Member Functions
| IntervalFunction (IntervalSource &)
ZSampling | getAvailableZ () const override
bool | moveTo (const BinID &) override
Function & | setInput (Function *)
Function & | setZDomain (const ZDomain::Info &) override
const ZDomain::Info & | zDomain () const override
Public Member Functions inherited from Vel::Function
const BinID & | getBinID () const
virtual const VelocityDesc & | getDesc () const
const ZSampling & | getDesiredZ () const
const FunctionSource & | getSource () const
float | getVelocity (float z) const
virtual void | removeCache ()
Function & | setDesiredZRange (const ZSampling &)
Function & | setGeomID (const Pos::GeomID &)
const UnitOfMeasure * | velUnit () const
bool | zInFeet () const
bool | zInMeter () const
bool | zIsTime () const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~IntervalFunction ()
bool | computeVelocity (float z0, float dz, int sz, float *res) const override
Protected Member Functions inherited from Vel::Function
| Function (FunctionSource &)
virtual | ~Function ()
Function & | copyDescFrom (const FunctionSource &)
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
Function * | inputfunc_ = nullptr
Protected Attributes inherited from Vel::Function
BinID | bid_
ZSampling | desiredrg_
Pos::GeomID | geomid_
FunctionSource & | source_

## Additional Inherited Members
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

A velocity funcion that computes interval velocity from another velocity function with RMS velocity

<>

## Constructor & Destructor Documentation

## ◆ IntervalFunction()

Vel::IntervalFunction::IntervalFunction | ( | IntervalSource & |  | ) |

## ◆ ~IntervalFunction()

Vel::IntervalFunction::~IntervalFunction | ( |  | ) |
| protected

## Member Function Documentation

## ◆ computeVelocity()

bool Vel::IntervalFunction::computeVelocity | ( | float | z0,
|  | float | dz,
|  | int | sz,
|  | float * | res ) const
| override protected virtual

Implements Vel::Function.

## ◆ getAvailableZ()

ZSampling Vel::IntervalFunction::getAvailableZ | ( |  | ) | const
| override virtual

Implements Vel::Function.

## ◆ moveTo()

bool Vel::IntervalFunction::moveTo | ( | const BinID & |  | ) |
| override virtual

Reimplemented from Vel::Function.

## ◆ setInput()

Function & Vel::IntervalFunction::setInput | ( | Function * |  | ) |

## ◆ setZDomain()

Function & Vel::IntervalFunction::setZDomain | ( | const ZDomain::Info & |  | ) |
| override virtual

Reimplemented from Vel::Function.

## ◆ zDomain()

const ZDomain::Info & Vel::IntervalFunction::zDomain | ( |  | ) | const
| override virtual

Reimplemented from Vel::Function.

## Member Data Documentation

## ◆ inputfunc_

Function* Vel::IntervalFunction::inputfunc_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025